Package org.eclipse.emf.cdo.server

# Interface IRepositoryFactory

All Known Implementing Classes:
  `RepositoryFactory`

public interface IRepositoryFactory
Creates CDO `repositories`.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`

## Method Summary

Modifier and Type
Method
Description
`IRepository`
`createRepository()`
`String`
`getRepositoryType()`

## Field Details

### PRODUCT_GROUP

static final String PRODUCT_GROUP

Since:
  2.0
See Also:
  - Constant Field Values

## Method Details

### getRepositoryType

String getRepositoryType()

### createRepository

IRepository createRepository()